Copyright: 0.90 (preview release)


TQISelectDialog component

Acts as an editor for the Fields.Selections property of the TQueryInfo component, building the information required for the SQL "SELECT" clause.

A field is selected from list obtained from all fields defined in QueryInfo where FieldUsage contains the uaSelect attribute, using the defined UserName.

Selected available fields are moved via include/exclude buttons, double click or drag-drop between the list boxes. Use move buttons or drag-drop to reorder.

The ‘Calculation’ group radio buttons can be used to specify an aggregation of a field. This is restricted according to the field type and whether uaCalc is in its FieldUsage property.

Note that the field is made available again in the fields list if used in a calculation (aggregation).

The ‘Distinct’ check box creates the “DISTINCT” specifier for the field.

properties

Caption, ModalResult, QueryInfo, MaxItems, ShowGlyphs, SortFields, Aggregates

methods

Execute

events

OnGrouping

files

qiSelect.dcu/dfm	unit & form resource

qiSelect.hlp	hypertext help reference (this file)


Execute method

Shows the dialog modaly. Returns True if OK button pressed (mrOK).

declaration

function Execute: Boolean


Caption property

Appears as the dialog’s caption.

type

string

stage

design time 	run time

access

read 	write


ShowGlyphs property

Specifies if Borland-style bitmaps are shown on the dialog buttons.

type

Boolean

stage

design time 	run time

access

read 	write


Aggregates property

Set any of the sub-properties (Count, Min, Max, Ave, Sum) to hide that check box in the dialog, making it unavailable.

type

TAggregates

stage

design time 	run time

access

read 	write


QueryInfo property

References the TQueryInfo component to use on execution (must be assigned before Execute is called).

type

TQueryInfo

stage

design time 	run time

access

read 	write


OnGrouping property
OnGrouping event

If assigned a “Grouping…” button is visible on the dialog, that when clicked, generates thia event. Use it to execute a grouping dialog. Note that if no calculations (aggregates) are specified, the button will be disabled and any Ordering items will be cleared.

type

TNotifyEvent

stage

design time 	run time

access

read 	write


ModalResult property

Stores the modal result of the dialog Execute call.

type

TModalResult

stage

run time only

access

read only


MaxItems property

Determines the maximum number of selected fields permitted. Default: 20.

type

Integer

stage

design time	run time

access

read 	write


SortFields property

Determines whether the available fields list is always sorted alphabetically.

type

Boolean

stage

design time	run time

access

read 	write